Shoan and His Mother 

Shoun became a teacher of Soto Zen. When he was still a student his father passed away, leaving him to care for his old mother. 

Whenever Shoun went to a meditation hall he always took his mother with him. Since she accompanied him, when he visited monasteries he could not live with the monks. So he would build a little house and care for her there. He would copy sutras, Buddhist verses, and in this manner receive a few coins for food. 

When Shoun bought fish for his mother, the people would scoff at him, for a monk is not supposed to eat fish. But Shoun did not mind. His mother, however, was hurt to see the others laugh at her son. Finally she told Shoun: "I think I will become a nun. I can be a vegaterian too." She did, and they studied together. 

Shoun was fond of music and was a master of the harp, which his mother also played. On full-moon nights they used to play together. 

One night a young lady passed by their house and heard music. Deeply touched, she invited Shoun to visit her the next evening and play. He accepted the invitation. A few days later he met the young lady on the street and thanked her for her hospitality. Others laughed at him. He had visited the house of a woman of the streets. 

One day Shoun left for a distant temple to deliver a lecture. A few months afterwards he returned home to find his mother dead. Friends had not known where to reach him, so the funeral was then in progress. 

Shoun walked up and hit the coffin with his staff. "Mother, your son has returned," he said. 

"I am glad to see you have returned, son," he answered for his mother. 

"Yes, I am glad too," Shoun responded. Then he announced to the people about him: "The funeral ceremony is over. You may bury the body."

When Shoun was old he knew his end was approaching. He asked his disciples to gather around him in the morning, telling them he was going to pass on at noon. Burning incense before the picture of his mother and his old teacher, he wrote a poem: 

  For fifty-six years I lived as best I could,
  Making my way in this world.
  Now the rain has ended, the clouds are clearing,
  The blue sky has a full moon.

His disciples gathered about him, reciting a sutra, and Shoun passed on during the invocation. 
